FruxonDocs
ApiAgent memories

Update an existing memory.

Overwrites the memory's title, content, and tags with the supplied values. Requires the Editor collaborator role. Returns 404 when no memory with that id belongs to the agent.

PUT
/v1/tenants/{tenant}/agents/{agent}/memories/{memory}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

agent*string

The unique identifier of the agent.

memory*string

The unique identifier of the memory to update.

Formatuuid
tenant*string

The tenant identifier

The new title, content, and optional tags.

title*string
Length1 <= length <= 255
content*string
Length1 <= length <= 10000
tags?|null
[key: string]?never

Response Body

curl -X PUT "https://api.fruxon.com/v1/tenants/string/agents/string/memories/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "content": "string"  }'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "title": "string",
  "content": "string",
  "tags": [
    "string"
  ],
  "createdAt": 0,
  "modifiedAt": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}